﻿
/*
  Name:      mk_stilar.css
  Revision:  1.0 2017-08-18 Bo Karlsson
             1.1 2021-01-07 boka Removed mp3player (handled in mk_show_pdo.pdo)
                                 Removed unused items.
             1.2 2023-04-12 boka Added td, th, tr, ul and li declarations
             
               Copyright: 2017-2023 Bo Karlsson, Täby
*/

/*
body {font:1em verdana, arial, sans-sherif; background-color:#DEF; margin-top:10px;}
*/

#noscriptText:after {
  text-align:center;
  color:red;
  content:" JavaScript måste aktiveras för att den här sidan ska fungera";
}

.mk-line {
    margin-left:32px;
}

#yearId {
    margin-left:10px;
    width:5em;
    background-color:Aquamarine;
    /*background-color:LightCyan;*/
}

#weekId {
    margin-left:10px;
    width:5em;
    /*background-color:powderBlue;*/
    background-color:Aquamarine;
}

#submitId {
    margin-left:10px;
}

#prevId {
    margin-left:10px;
    margin-right:10px;
}

#solveId {
    margin-left:10px;
}

#answerCheck {
    margin-left:20px;
}

.error {
    color:#FF0000;
}

#topButton {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 20px; /* Place the button at the bottom of the page */
    right: 30px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    border: none; /* Remove borders */
    outline: none; /* Remove outline */
    background-color: Lavender; /* Set a background color */
    /*background-color: Gainsboro; /* Set a background color */
    color: black; /* Text color */
    cursor: pointer; /* Add a mouse pointer on hover */
    padding: 15px; /* Some padding */
    border-radius: 10px; /* Rounded corners */
}

#topButton:hover {
    /*background-color: Cyan; /* Add a background on hover */
    /*background-color: SpringGreen; /* Add a background on hover */
    background-color:Aquamarine;
}

button#showDataButton {
  margin-left:1em;
  margin-right:1em;
  font-size:100%;
  font-weight:normal;
}

button#printButton {
  font-size:100%;
  font-weight:normal;
}

td, th {
  padding-left: 8px;
  padding-right: 8px;
}


tr:nth-child(even) {
  background-color: #dddddd;
}

ul {
  list-style-type: none;
  cursor: pointer;
  margin: 0;
  padding: 1em;
  width: 25%;
  background-color: #f1f1f1;
  position: fixed;
  height: 100%;
  overflow: auto;
}

li a {
  display: block;
  color: #000;
  padding: 8px 16px;
  text-decoration: none;
}

li a.active {
  background-color: #04AA6D;
  color: white;
}

li a:hover:not(.active) {
  background-color: #555;
  color: white;
}
